Loading...
Searching...
No Matches
apr_md4_ctx_t Struct Reference
APR Utility Functions » MD4 Library

`#include <apr_md4.h>`

## Data Fields

apr_uint32_t | state [4]
apr_uint32_t | count [2]
unsigned char | buffer [64]
apr_xlate_t * | xlate

## Detailed Description

MD4 context.

## Field Documentation

## buffer

unsigned char apr_md4_ctx_t::buffer[64]

input buffer

## count

apr_uint32_t apr_md4_ctx_t::count[2]

number of bits, modulo 2^64 (lsb first)

## state

apr_uint32_t apr_md4_ctx_t::state[4]

state (ABCD)

## xlate

apr_xlate_t* apr_md4_ctx_t::xlate

translation handle

The documentation for this struct was generated from the following file:

- apr_md4.h